# 32/64bit spec-file
#
%define name libmpdclient
%define version 2.8
%define rel 1
%define major	2
%define libname %mklibname mpdclient %major
%define develname %mklibname -d mpdclient
%define stdevelname %mklibname -d -s mpdclient

Name:		%name
Version:	%version
Release:	%mkrel %rel
Summary:	API library for interfacing MPD in the C, C++ & Objective C languages
Summary(de):	API-Bibliothek für Schnittstellen zu MPD in C-Sprachen
Group:		System/Libraries
License:	BSD
URL:		http://www.musicpd.org/doc/libmpdclient/index.html
Source0:	%{name}/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	doxygen
BuildRoot:	%_tmppath/%{name}-%{version}-%{release}

%description
A stable, documented, asynchronous API library for interfacing MPD in the C, 
C++ & Objective C languages.

%description -l de
Eine stabile, dokumentierte, asynchrone API-Bibliothek für eine MPD-Schnittstelle zu
C, C++ und Objective C.


%package -n %libname
Summary:	API library for interfacing MPD in the C, C++ & Objective C languages
Summary(de):	API-Bibliothek für Schnittstellen zu MPD in C-Sprachen
Provides:	%{name} = %version-%release
Group:		System/Libraries

%description -n %libname
A stable, documented, asynchronous API library for interfacing MPD in the C, 
C++ & Objective C languages.

%description -n %libname -l de
Eine stabile, dokumentierte, asynchrone API-Bibliothek für eine MPD-Schnittstelle zu
C, C++ und Objective C.


%files -n %libname
%defattr(-,root,root,-)
%_libdir/%{name}.so.%{major}*


%package -n %develname
Summary:	Devel headers for %name
Summary(de):	Headerdateien für %name
Requires:	%{libname} = %version
Provides:	%{name}-devel = %version-%release
Group:		Development/Libraries

%description -n %develname
Devel headers for libmpdclient

%description -n %develname -l de
Headerdateien für libmpdclient

%files -n %develname
%defattr(-,root,root,-)
%doc COPYING NEWS README
%_datadir/doc/%{name}/*
%_libdir/pkgconfig/%{name}.pc
%dir %_includedir/mpd/
%_includedir/mpd/*
%_libdir/%{name}.so
%_datadir/vala/vapi/libmpdclient.vapi

%package -n %stdevelname
Summary:	Devel headers for %name
Summary(de):	Statische Headerdateien für %name
Requires:	%{libname} = %version
Provides:	%{name}-static-devel = %version-%release
Group:		Development/Libraries

%description -n %stdevelname
Devel headers for libmpdclient

%description -n %stdevelname
Statische Headerdateien für libmpdclient

%files -n %stdevelname
%defattr(-,root,root,-)
%_libdir/%{name}.a
%_libdir/%{name}.la


%prep
%setup -q

%build
%configure2_5x

%make

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%post -n %libname
/sbin/ldconfig

%postun -n %libname
/sbin/ldconfig


%changelog
* Thu May 30 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 2.8-1pclos2013
- 2.8

* Wed May 16 2012 Neal <nealbrks0 at gmail dot com> 2.7-1pclos2012
- process

* Tue May 15 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 2.7-1pclos2012
- 2.7
- added german summaries and descriptions

* Thu Mar 03 2011 Texstar <texstar at gmail.com> 2.4-1pclos2011
- 2.4

* Mon Feb 15 2010 slick50 <lxgator@gmail.com> 2.1-1pclos2010
- import libmpdclient

